# FoundationClasses
TKAdvTools
GraphTools

# GraphTools_ListNodeOfSCList Class Reference

`#include <GraphTools_ListNodeOfSCList.hxx>`

Inheritance diagram for GraphTools_ListNodeOfSCList:

[legend]

## Public Member Functions

| GraphTools_ListNodeOfSCList (const Handle(GraphTools_SC)&I, const TCollection_MapNodePtr &n)
Handle_GraphTools_SC & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_GraphTools_SC | myValue

## Constructor & Destructor Documentation

GraphTools_ListNodeOfSCList::GraphTools_ListNodeOfSCList | ( | const Handle(GraphTools_SC)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const GraphTools_ListNodeOfSCList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Handle_GraphTools_SC& GraphTools_ListNodeOfSCList::Value | ( |  | ) | const

## Field Documentation

Handle_GraphTools_SC GraphTools_ListNodeOfSCList::myValue `[private]`

The documentation for this class was generated from the following file:

- GraphTools_ListNodeOfSCList.hxx